# Books

This is a catalog of all the books in my calibre library!

If you see a title here you would like to borrow, let me know! I'd be happy to share :)

## How To

If you're going to explore this dataset, I recommend using the awesome csvkit.

=> <https://csvkit.readthedocs.io/en/latest/index.html>

It will allow you to do stuff like:

- see the headers: `csvcut -n books.csv`
- and the see just the columns you want: `csvcut -c 13,4 books.csv`
- look at some stats: `csvcut -c languages,size,formats books.csv | csvstat`
- find the largest pdfs in the collection: `csvcut -c title_sort,formats,size books.csv | csvgrep -c formats -m pdf | csvsort -c size -r | head`
- `csvjson books.csv | jq | whatever`
- You can also perform actual SQL queries on it, and convert the data between csv and sqlite database: <https://csvkit.readthedocs.io/en/latest/tutorial/3_power_tools.html>
